<?php
/*
	*@file: Main.php
	*@package: Forum Name in Browser Title
	*@author: Labradoodle-360
	*@copyright: 2011 Matthew Kerle - All Rights Reserved
*/

if (!defined('SMF'))
	die ('Hacking Attempt...');

function determinePageTitle()
{
	global $context, $modSettings, $txt;
	$index_title = sprintf($txt['forum_index'], $context['forum_name']);
	switch ($context['page_title_html_safe'])
	{
		case $context['forum_name']:
			return;
		case $index_title:
			$pieces = explode(' - ', $index_title);
			break;
	}
	$separation_char = '&nbsp;';
	if (!empty($modSettings['page_title_separation_char']))
		$separation_char .= trim(un_htmlspecialchars($modSettings['page_title_separation_char']));
	else
		$separation_char = '-';
	$separation_char .= '&nbsp;';
	switch ($modSettings['page_title_positions'])
	{
		case 1:
			if (!isset($pieces))
				return $context['page_title_html_safe'] = $context['page_title_html_safe'] . $separation_char . $context['forum_name'];
			else
				return $context['page_title_html_safe'] = $pieces[1] . $separation_char . $pieces[0];
		case 2:
			if (!isset($pieces))
				return $context['page_title_html_safe'] = $context['forum_name'] . $separation_char . $context['page_title_html_safe'];
			else
				return $context['page_title_html_safe'] = $pieces[0] . $separation_char . $pieces[1];
		default:
			return;
	}
}